RagTime5DocumentInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
RagTime5DocumentInternal::State Struct Reference

Internal: the state of a RagTime5Document. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
int | m_version
| the document version More...
MWAWEntry | m_zonesEntry
| the main zone entry More...
std::vector< std::shared_ptr< RagTime5Zone > > | m_zonesList
| the zone list More...
std::map< int, std::string > | m_zoneIdToTypeMap
| a map id to type string More...
std::shared_ptr< RagTime5Zone > | m_zoneInfo
| the zone info zone (ie. the first zone) More...
int | m_mainClusterId
| the main cluster id More...
int | m_mainTypeId
| the main type id More...
RagTime5ClusterManager::Link | m_buttonFormulaLink
| the buttons formula link More...
std::map< int, std::shared_ptr< RagTime5Zone > > | m_dataIdZoneMap
| a map: data id->entry (datafork) More...
std::map< int, std::vector< int > > | m_pageZonesIdMap
| a map: page->main zone id More...
std::set< int > | m_sendZoneSet
| a set used to avoid looping when sending zone More...
bool | m_hasLayout
| a flag to know if the file has some layout More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a RagTime5Document.

## Constructor & Destructor Documentation

## ◆ State()

RagTime5DocumentInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_buttonFormulaLink

RagTime5ClusterManager::Link RagTime5DocumentInternal::State::m_buttonFormulaLink

the buttons formula link

## ◆ m_dataIdZoneMap

std::map<int, std::shared_ptr<RagTime5Zone> > RagTime5DocumentInternal::State::m_dataIdZoneMap

a map: data id->entry (datafork)

## ◆ m_footerHeight

int RagTime5DocumentInternal::State::m_footerHeight

the footer height if known

## ◆ m_hasLayout

bool RagTime5DocumentInternal::State::m_hasLayout

a flag to know if the file has some layout

## ◆ m_headerHeight

int RagTime5DocumentInternal::State::m_headerHeight

the header height if known

## ◆ m_mainClusterId

int RagTime5DocumentInternal::State::m_mainClusterId

the main cluster id

## ◆ m_mainTypeId

int RagTime5DocumentInternal::State::m_mainTypeId

the main type id

## ◆ m_numPages

int RagTime5DocumentInternal::State::m_numPages

the number of page of the final document

## ◆ m_pageZonesIdMap

std::map<int, std::vector<int> > RagTime5DocumentInternal::State::m_pageZonesIdMap

a map: page->main zone id

## ◆ m_sendZoneSet

std::set<int> RagTime5DocumentInternal::State::m_sendZoneSet

a set used to avoid looping when sending zone

## ◆ m_version

int RagTime5DocumentInternal::State::m_version

the document version

## ◆ m_zoneIdToTypeMap

std::map<int, std::string> RagTime5DocumentInternal::State::m_zoneIdToTypeMap

a map id to type string

## ◆ m_zoneInfo

std::shared_ptr<RagTime5Zone> RagTime5DocumentInternal::State::m_zoneInfo

the zone info zone (ie. the first zone)

## ◆ m_zonesEntry

MWAWEntry RagTime5DocumentInternal::State::m_zonesEntry

the main zone entry

## ◆ m_zonesList

std::vector<std::shared_ptr<RagTime5Zone> > RagTime5DocumentInternal::State::m_zonesList

the zone list

The documentation for this struct was generated from the following file:

- RagTime5Document.cxx